/// <reference types="react" />
import { MaybeRenderProp } from "@chakra-ui/react-utils";
import { SHORT_WEEKDAY_NAMES, SINGLE_WEEKDAY_NAMES } from "..";
import { HTMLChakraProps } from "@chakra-ui/system";
export declare type WeekNamesProps = HTMLChakraProps<any> & {
    children?: MaybeRenderProp<{
        weekdays: typeof SHORT_WEEKDAY_NAMES[number][] | typeof SINGLE_WEEKDAY_NAMES[number][];
    }>;
    format?: "single" | "short";
};
export declare const WeekNames: (props: WeekNamesProps) => JSX.Element;
