import { IconButtonProps } from "@chakra-ui/button";
export declare type PartialBy<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
export declare type ArrowProps = PartialBy<IconButtonProps, "aria-label"> & {
    arrowType?: ArrowButton;
};
export declare type ArrowButton = "month" | "year";
export declare type ArrowDirection = "previous" | "next";
